- Extending Qt Creator Manual
- QtCreator
- FileUtils
- Extending Qt Creator Manual 13.0.0

# FileUtils Class

class Utils::FileUtils

The FileUtils class contains file and directory related convenience functions. More...

Header: | #include <FileUtils>

- List of all members, including inherited members

## Static Public Members

bool | copyIfDifferent(const Utils::FilePath &srcFilePath, const Utils::FilePath &tgtFilePath)

## Detailed Description

## Member Function Documentation

### `[static]` bool FileUtils::copyIfDifferent(const Utils::FilePath &srcFilePath, const Utils::FilePath &tgtFilePath)

Copies a file specified by srcFilePath to tgtFilePath only if srcFilePath is different (file contents and last modification time).

Returns whether the operation succeeded.